package com.ruixuan.isc.mapper;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.isc.entity.KuaishouPromoter;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface KuaishouPromoterMapper {
    /**
     * 查询快手达人 信息
     *
     * @param id 快手达人 信息主键
     * @return 快手达人 信息
     */
    public KuaishouPromoter selectKuaishouPromoterById(Long id);

    /**
     * 查询快手达人 信息列表
     *
     * @param kuaishouPromoter 快手达人 信息
     * @return 快手达人 信息集合
     */
    public List<KuaishouPromoter> selectKuaishouPromoterList(@Param("userList") List<Long> userList, @Param("promoterId") Long promoterId,
                                                             @Param("promoterNickName") String promoterNickName, @Param("parameter") String parameter, @Param("orderBy") String orderBy);

    /**
     * 新增快手达人 信息
     *
     * @param kuaishouPromoter 快手达人 信息
     * @return 结果
     */
    public int insertKuaishouPromoter(KuaishouPromoter kuaishouPromoter);

    /**
     * 修改快手达人 信息
     *
     * @param kuaishouPromoter 快手达人 信息
     * @return 结果
     */
    public int updateKuaishouPromoter(KuaishouPromoter kuaishouPromoter);

    /**
     * 删除快手达人 信息
     *
     * @param id 快手达人 信息主键
     * @return 结果
     */
    public int deleteKuaishouPromoterById(Long id);

    /**
     * 批量删除快手达人 信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKuaishouPromoterByIds(Long[] ids);

    KuaishouPromoter getOneByIdAndPromoterId(@Param("userId") Long userId, @Param("promoterId") Long promoterId);

    JSONObject getNearlyMonthGmv(@Param("promoterId") Long promoterId, @Param("start") String start, @Param("end") String end);

    void insertKuaishouPromoterRecord(JSONObject record);

    List<Long> selectPromoterIdList(@Param("userList") List<Long> userList);

    JSONObject getgetMonthPromoterTotal(@Param("userList") List<Long> userList, @Param("start") String start, @Param("end") String end);

    void updateKuaishouPromoterByPromoterId(KuaishouPromoter promoters);

    List<JSONObject> selectAllPromoterList(@Param("promoterId") Long promoterId, @Param("promoterNickName") String promoterNickName, @Param("status") String status, @Param("parameter") String parameter, @Param("orderBy") String orderBy);

    List<KuaishouPromoter> getFailInfo();

    List<JSONObject> getBoundPromoterRoleKey(@Param("promoterId") Long promoterId);

    int addFollowUpRecords(@Param("result") JSONObject result);

    void updateFollowUpRecords(@Param("result") JSONObject result);

    JSONObject getFollowUpRecordsByUserId(@Param("promoterId") Long promoterId, @Param("userId") Long userId);

    List<JSONObject> getFollowUpRecordListByPromoterId(@Param("promoterId") Long promoterId, @Param("id") Long id);

    int deletePromoterLabel(@Param("promoterId") Long promoterId, @Param("userId") Long userId);

    void insertPromoterLabels(@Param("list") List<JSONObject> list);

    List<JSONObject> getPromoterLabel(@Param("promoterId") Long promoterId, @Param("userId") Long userId);


}