package com.ruixuan.isc.service;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.common.core.domain.AjaxResult;
import com.ruixuan.common.utils.Result;
import com.ruixuan.isc.entity.KuaishouPromoter;

import java.util.List;

/**
 * 快手达人 信息Service接口
 *
 * @author ruoyi
 * @date 2023-02-03
 */
public interface IKuaishouPromoterService {
    /**
     * 查询快手达人 信息
     *
     * @param id 快手达人 信息主键
     * @return 快手达人 信息
     */
    public JSONObject selectKuaishouPromoterById(Long id);

    /**
     * 查询快手达人 信息列表
     *
     * @param kuaishouPromoter 快手达人 信息
     * @return 快手达人 信息集合
     */
    public List<KuaishouPromoter> selectKuaishouPromoterList(Long userId, Long promoterId, String promoterNickName, String parameter, String orderBy);

    /**
     * 新增快手达人 信息
     *
     * @param kuaishouPromoter 快手达人 信息
     * @return 结果
     */
    public JSONObject insertKuaishouPromoter(KuaishouPromoter kuaishouPromoter);

    /**
     * 修改快手达人 信息
     *
     * @param kuaishouPromoter 快手达人 信息
     * @return 结果
     */
    public int updateKuaishouPromoter(KuaishouPromoter kuaishouPromoter);

    /**
     * 删除快手达人 信息信息
     *
     * @param id 快手达人 信息主键
     * @return 结果
     */
    public Result deleteKuaishouPromoterById(Long id, Long userId);

    AjaxResult getPromoterInfo(Long promoterId);

    KuaishouPromoter getOnlyPromoterInfo(Long promoterId);

    List<Long> selectPromoterIdList(List<Long> userList);

    JSONObject getgetMonthPromoterTotal(List<Long> userList, String start, String end);

    List<JSONObject> selectKuaishouPromoterList2(Long promoterId, String promoterNickName,String status, String parameter, String orderBy);

    String supplementInfo();

    int addFollowUpRecords(JSONObject result);

    Result updatePromoterLabel(JSONObject result);

    void updateFollowUpRecords(JSONObject result);

    Result getGongHaiVideoSales(Long promoterId);
}
